# Errors

Error responses are always in the format:

```
{
    "errors": [
        "Contact not found!"
    ],
    "request_id": "0caedca7-a3cf-4ea5-b06e-f34093ad64ff"
}
```

Pylon’s API returns errors with [HTTP Status Codes](https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html) along with errors messages.

Spefically, you will find both a `request_id` and an string array of `errors` at the top level of the response payload.

The `request_id` can be used as a reference to this specific API request. In cases where you need help, you can reach out to Pylon support with the `request_id` of your API call for help.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usepylon.com/pylon-docs/developer/api/errors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
